%global realname pgsql
%global debug_package %{nil}

Summary:	Erlang PostgreSQL interface
Name:		erlang-%{realname}
Version:	0
Release:	6.20101203svn%{?dist}
Group:		Development/Libraries
License:	ERPL
URL:		https://forge.process-one.net/browse/ejabberd-modules/pgsql/trunk
# svn export -r 1105 https://svn.process-one.net/ejabberd-modules/pgsql/trunk erlang-pgsql-0
# tar cfz erlang-pgsql-0.tar.gz erlang-pgsql-0
Source:		%{name}-%{version}.tar.gz
BuildRequires:	erlang
Requires:	erlang-erts, erlang-kernel, erlang-stdlib
Obsoletes:	%{name}-devel < 0-5.20101203svn
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Library that gives possibility to Erlang programs to
connect PostgreSQL databases by plain TCP and execute
simple SQL statements.

%prep
%setup -q 

%build
erlc -o ebin src/%{realname}*.erl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc EPLICENSE doc/HOWTO
%{_libdir}/erlang/lib/%{realname}-%{version}/

%changelog
* Sat Jan 01 2011 Robert Scheck <robert@fedoraproject.org> 0-6.20101203svn
- Corrected wrong subpackage obsolete (thanks to Michael Schwendt)

* Thu Dec 30 2010 Robert Scheck <robert@fedoraproject.org> 0-5.20101203svn
- Upgrade to SVN 20101203 and some spec file cleanup
- Narrowed explicit requires (thanks to Peter Lemenkov)
- Dropped -devel subpackage (thanks to Peter Lemenkov)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-4.20080825svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 0-3.20080825svn
- Rebuild against rpm 4.6

* Mon Aug 25 2008 Robert Scheck <robert@fedoraproject.org> 0-2.20080825svn
* Remove the versioned requirement to erlang, bump only when needed

* Mon Aug 25 2008 Robert Scheck <robert@fedoraproject.org> 0-1.20080825svn
- Upgrade to SVN 20080825
- Changes to match with the Fedora Packaging Guidelines (#455187 #c2)

* Wed Jul 09 2008 Robert Scheck <robert@fedoraproject.org> 0-1.20080709svn
- Upgrade to SVN 20080709
- Initial spec file for Fedora and Red Hat Enterprise Linux
